在Eclipse中创建一个新项目之后,会自动创建“appcompat_v7”项目

在创建任何新的Android项目之后,Eclipse会自动创建一个“appcompat_v7”项目,而不需要/ src下的任何文件。我不知道Eclipse如何或者为什么要创建这个项目。我也有一个奇怪的错误。

  

正如你可以看到AndroidManifest.xml存在于项目中!

编辑1:清理项目后,奇怪的错误消失了,但我仍然想知道为什么要创建appcompat_v7。

EDIT2:我也注意到Eclipse在/ res / layout下自动创建一个新的layout_main.xml。为什么??

我创建了一个新的Workspace,并尝试了几次。但我仍然有这个问题。

EDIT3:如果您选择API 14之后的最低SDK版本,您将无法获取此支持文件夹。

最佳答案
昨晚遇到这个问题。我在做几件事情,包括更新SDK经理。我不得不将Android SDK Tools修复到22.3版和Android SDK Platform-tools。

opus44

转载注明原文:在Eclipse中创建一个新项目之后,会自动创建“appcompat_v7”项目 - 代码日志